Author Topic: Error in upgrading AbanteCart card to version 1.1.1  (Read 4730 times)

Offline denagpam

  • Jr. Member
  • **
  • Posts: 98
  • Karma: +7/-9
    • View Profile
Error in upgrading AbanteCart card to version 1.1.1
« on: October 21, 2012, 08:38:51 PM »
Yes, after I logged in to the admin panel of AbanteCart card version 1.1, I got this message:

"You can upgrade AbanteCart core now. Upgrade is for version 1.1 and will change AbanteCart application to version 1.1.1 Important upgrade note:  To use automatic upgrade inside admin, please replace 1 file below before running upgrade with the link below. File to replace before in admin upgrade: public_html/admin/controller/pages/tool/package_installer.php We recommend manual upgrade this time. You can upgrade with just replace all files provided in upgrade package manually. You can download upgrade package in the link code.google.com/p/abantecart/downloads/detail?name=abantecart_1.1.1_upgrade_only.tar.gz If you still want to upgrade in admin, please click following link ONLY after you replace above mentioned file this link to start the upgrade. Backup will start automatically before upgrade process and backup archive can be located in /admin/system/backup directory or backup history."

Yes, I have downloaded the upgrade file and replaced the package_installer.php with those in the upgrade file. And after I click the upgrade link, I got an error...........

"Fatal error: Call to undefined function versioncompare() in /home/u314239779/public_html/admin/controller/pages/tool/package_installer.php on line 804"

And after I try it twice, I got two messages in the admin panel as follows:

First Message:
AbanteCart engine cannot find value of language definition with key "text_network_install" in /home/u314239779/public_html/admin/controller/pages/tool/package_installer.php line 85 (rt=tool/package_installer). Please add it manually in this link of control panel.

Second Message:
AbanteCart engine cannot find value of language definition with key "text_extension_upload" in /home/u314239779/public_html/admin/controller/pages/tool/package_installer.php line 90 (rt=tool/package_installer). Please add it manually in this link of control panel.

I hope you will help solve this.

Thanks.

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1774
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Error in upgrading AbanteCart card to version 1.1.1
« Reply #1 on: October 22, 2012, 07:45:41 AM »
Quote
We recommend manual upgrade this time.

Sorry for the inconvenience.
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline abantecart

  • Administrator
  • Hero Member
  • *****
  • Posts: 4151
  • Karma: +251/-9
    • View Profile
    • Ideal Open Source Ecommerce Solution
Re: Error in upgrading AbanteCart card to version 1.1.1
« Reply #2 on: October 22, 2012, 01:20:46 PM »
Due to package installer issue, we recommend that you do manual upgrade with replace of files provided in upgrade package.

Please check this:
http://www.abantecart.com/shopping-cart-news/95-abantecart-new-version-111

Future upgrades will not be as painful
We need your help to build better free open source eCommerce platform for everyone.
See how you can help

Offline denagpam

  • Jr. Member
  • **
  • Posts: 98
  • Karma: +7/-9
    • View Profile
Re: Error in upgrading AbanteCart card to version 1.1.1
« Reply #3 on: October 23, 2012, 12:27:30 AM »
Okay, thanks for your answer. But, I have a problems. I have about four hundreds and more in a folder on ftp server. But when I try to upload one file onto it, it seems not working.

Can you explain why?

Hope for your answer.

Thanks.

Offline abantecart

  • Administrator
  • Hero Member
  • *****
  • Posts: 4151
  • Karma: +251/-9
    • View Profile
    • Ideal Open Source Ecommerce Solution
Re: Error in upgrading AbanteCart card to version 1.1.1
« Reply #4 on: October 23, 2012, 07:53:42 AM »
This is something you need to check on your FTP server or client.
We need your help to build better free open source eCommerce platform for everyone.
See how you can help

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1774
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Error in upgrading AbanteCart card to version 1.1.1
« Reply #5 on: October 23, 2012, 08:59:49 AM »
try to set passive mode for ftp-connection
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline shell-mc

  • Newbie
  • *
  • Posts: 12
  • Karma: +0/-0
    • View Profile
Re: Error in upgrading AbanteCart card to version 1.1.1
« Reply #6 on: November 02, 2012, 06:30:46 PM »
I received similar message after using installer but can't access admin panel now. Where do I find the files to manually add these through cpanel?

Thanks,
Michelle

Offline abantecart

  • Administrator
  • Hero Member
  • *****
  • Posts: 4151
  • Karma: +251/-9
    • View Profile
    • Ideal Open Source Ecommerce Solution
Re: Error in upgrading AbanteCart card to version 1.1.1
« Reply #7 on: November 02, 2012, 06:52:48 PM »
We need your help to build better free open source eCommerce platform for everyone.
See how you can help

 

Powered by SMFPacks Social Login Mod